# Uses of Class
org.eclipse.swt.widgets.Table

Packages that use Table
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of Table in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type Table
Modifier and Type
Method
Description
`static boolean`
ConfigureColumns.`forTable(Table table, IShellProvider shellProvider)`
Configure the columns of the given tree in a keyboard-accessible way, using the given shell provider to parent dialogs.

## Uses of Table in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Table
Modifier and Type
Method
Description
`protected static Table`
CheckboxTableViewer.`createTable(Composite parent, int style)`
Creates a new table control with one column.
`Table`
TableViewer.`getTable()`
Returns this table viewer's table control.
Constructors in org.eclipse.jface.viewers with parameters of type Table
Modifier
Constructor
Description
``
`CheckboxTableViewer(Table table)`
Creates a table viewer on the given table control.
``
`TableViewer(Table table)`
Creates a table viewer on the given table control.

## Uses of Table in org.eclipse.swt.custom

Constructors in org.eclipse.swt.custom with parameters of type Table
Modifier
Constructor
Description
``
`TableCursor(Table parent, int style)`
Constructs a new instance of this class given its parent table and a style value describing its behavior and appearance.
``
`TableEditor(Table table)`
Creates a TableEditor for the specified Table.

## Uses of Table in org.eclipse.swt.dnd

Constructors in org.eclipse.swt.dnd with parameters of type Table
Modifier
Constructor
Description
``
`TableDragSourceEffect(Table table)`
Creates a new `TableDragSourceEffect` to handle drag effect from the specified `Table`.
``
`TableDropTargetEffect(Table table)`
Creates a new `TableDropTargetEffect` to handle the drag under effect on the specified `Table`.

## Uses of Table in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Table
Modifier and Type
Method
Description
`Table`
TableColumn.`getParent()`
Returns the receiver's parent, which must be a `Table`.
`Table`
TableItem.`getParent()`
Returns the receiver's parent, which must be a `Table`.
Constructors in org.eclipse.swt.widgets with parameters of type Table
Modifier
Constructor
Description
``
`TableColumn(Table parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance.
``
`TableColumn(Table parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.
``
`TableItem(Table parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance.
``
`TableItem(Table parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

## Uses of Table in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type Table
Modifier and Type
Method
Description
`protected Point`
QuickMenuCreator.`computeMenuLocation(Table table)`
Hook to compute the menu location if the focus widget is a table widget.

## Uses of Table in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return Table
Modifier and Type
Method
Description
`protected Table`
TwoPaneElementSelector.`createLowerList(Composite parent)`
Creates the list widget and sets layout data.

## Uses of Table in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Table
Modifier and Type
Method
Description
`Table`
FormToolkit.`createTable(Composite parent, int style)`
Creates a table as a part of the form.